Object.defineProperty(exports, "__esModule", { value: true });
function defaultPropsPicker(sceneState, sceneActions) {
    return Object.assign({}, sceneState, {
        actions: sceneActions
    });
}
function createPropsPicker(propsPicker, reduxInfo, mutableObj) {
    if (propsPicker === void 0) { propsPicker = defaultPropsPicker; }
    var arenaReducerDict = reduxInfo.arenaReducerDict;
    var sceneReducerKey = arenaReducerDict._arenaScene.reducerKey;
    var sceneActions = arenaReducerDict._arenaScene.actions;
    var latestProps;
    return function (state) {
        if (mutableObj.isObsolete === true ||
            state.arena.propsLock !== false ||
            state.arena.stateTreeDict.getIn([sceneReducerKey, "isObsolete"]) === true) {
            return latestProps;
        }
        else {
            latestProps = propsPicker(state[sceneReducerKey], sceneActions, state, arenaReducerDict);
            return latestProps;
        }
    };
}
exports.default = createPropsPicker;
