import { ActionCreatorsMapObject } from "redux";
import { ReducerDict, SceneReducer, SceneBundleOptions, SceneBundle } from "../types";
import { CurtainReduxInfo } from "../reducers/types";
export interface ApplyReduxPayload {
    arenaReducerDict: ReducerDict;
    state: {} | null | undefined;
    saga: ((...params: any[]) => any) | null | undefined;
    actions: ActionCreatorsMapObject | null | undefined;
    reducer: SceneReducer | null | undefined;
    options: SceneBundleOptions | null | undefined;
}
export declare function sceneApplyRedux({arenaReducerDict, state, saga, actions, reducer, options}: ApplyReduxPayload): any;
export interface UpdateReduxPayload extends ApplyReduxPayload {
    curSceneBundle: SceneBundle;
    reduxInfo: CurtainReduxInfo;
}
export declare function sceneUpdateRedux({arenaReducerDict, state, saga, actions, reducer, options, curSceneBundle, reduxInfo}: UpdateReduxPayload): any;
