/// <reference types="react" />
import * as React from "react";
import * as PropTypes from "prop-types";
import { ReducerDict, SceneBundle } from "../../core";
import { BundleComponentConnectedProps, BundleComponentProps, BundleComponentState } from "./types";
export default class BundleComponent extends React.Component<BundleComponentConnectedProps & BundleComponentProps, BundleComponentState> {
    static childContextTypes: {
        arenaReducerDict: PropTypes.Requireable<any>;
    };
    getChildContext(): {
        arenaReducerDict: ReducerDict | null | undefined;
    };
    buildLoadScenePromise(arenaReducerDict: ReducerDict, sceneBundle: SceneBundle, isInitial: any): Promise<null>;
    componentWillMount(): void;
    componentWillReceiveProps(nextProps: BundleComponentProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
